#
# spec file for package guetzli
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           guetzli
Version:        1.0.1
Release:        3.1
Summary:        Guetzli is a JPEG encoder that aims for excellent compression
License:        Apache-2.0
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Productivity/Graphics/Other
Url:            https://github.com/google/guetzli
Source:         https://github.com/google/guetzli/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gflags-devel
BuildRequires:  libpng-devel
BuildRequires: pkgconfig
Requires:       gflags

%description
Generates images typically 20-30% smaller than images of equivalent quality generated by libjpeg. Generates only sequential (nonprogressive) JPEGs due to faster decompression speeds they offer.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 775 bin/Release/guetzli %{buildroot}%{_bindir}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE CONTRIBUTING.md
%{_bindir}/%{name}

%changelog
* Tue Mar 21 2017 aloisio@gmx.com
- Update to version 1.0.1
  * fixed two crashes (#29 and 5de9ad8),
  * made memory requirements more explicit.
- Added source file URL.
* Mon Mar 20 2017 miukumac@outlook.com
- Initial 1.0 Release
